//chip is stm8s105s6
//iar compiller
//by iliasam

#include "init.h"
#include "stm8s.h"
#include "timebase.h"
#include "leds.h"
#include "motor.h"
#include "control.h"
#include "light_sensor.h"




void main( void )
{
  uint16_t val = 0;
  enableInterrupts();//     
  init_all();
  
  enable_blue_led();
  delay(300);
  disable_leds();
  
  init_light_buffer();
  
  //GPIO_WriteReverse(LED2_PORT, LED2_PIN); //red
  
  while (1) 
  { 
    
   tsop_handler();
   motor_handler();
   light_sensor_handler();
   light_control_handler();
    
   leds_handler();
   
    IWDG_ReloadCounter();
  
  }//end while
}










